package com.inspect.metadata.mqtt.mapper;

import com.inspect.metadata.mqtt.domain.HrMaintenance;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface HrMaintenanceMapper {
    List<HrMaintenance> selectMaintenanceList(HrMaintenance maintenance);

    int insertMaintenance(HrMaintenance maintenance);

    int updateMaintenance(HrMaintenance maintenance);

    int deleteMaintenanceByIds(String[] ids);

    HrMaintenance selectMaintenanceById(Long maintenanceId);
}
